 /* checkboxes and radiobuttons */
label[for] {cursor: pointer;}
.checkbox-control,.radio-control{display: none;}
.checkbox-control + label,.radio-control + label {
    margin-top: 2px;
    min-width: 20px;
    height: 20px;
    transition: box-shadow .15s ease-in;
    transition: background-color .2s ease-in,box-shadow .15s ease-in,border-color .15s ease-in;
    background-color: transparent;
    border: 1px solid  #ccc;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, .15);
    user-select: none;
}
.checkbox-control + label{border-radius: 0px;}
.radio-control + label{border-radius: 50%;}

.checkbox-control + label + label, .radio-control + label + label { margin-top: 0rem; margin-left: .5rem;}
.checkbox-control + label:hover, .checkbox-control + label:focus,.radio-control + label:hover, .radio-control + label:focus {
    box-shadow: 0 0 3px 0  #ffba00;
    border-color:  #ffF;
}

.checkbox-control.black + label:hover, .checkbox-control.black + label:focus,.radio-control.black + label:hover, .radio-control.black + label:focus {
    box-shadow: 0 0 3px 0  #333;
    border-color:  #fff;
}
.checkbox-control:checked + label {
    border-color:  #ffba00;
    background-color:  #fff;
}
.radio-control:checked + label {
    border-color:  #fff;
    background-color: transparent;
}
.checkbox-control.black:checked + label {
    border-color:  #fff;
    background-color:  #000;
}
.radio-control:checked + label {
    border-color:  #fff;
    background-color: transparent;
}
.checkbox-control:checked:disabled + label {
    border-color: #888;
    background-color: #979eb9;
}
.radio-control:checked:disabled + label {
    border-color: #888;
    background-color: #fff;
}

.checkbox-control:checked + label:after {
    font-family: 'feather';
    content: "\e83f";
    margin-left: 2px;
    margin-top: -.5px;
    color: #ffba00;
    display: block;
    font-size: 14px;
    font-weight: 900;
}

.radio-control:checked + label:after {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    margin-left: 1px;
    margin-top: 1px;
    background-color:  #ffba00;
    border-radius: 50%;
}

.radio-control:checked:disabled + label:after {
    background-color: #979eb9;

}

.checkbox-control:disabled + label, .checkbox-control:disabled + label + label, .radio-control:disabled + label, .radio-control:disabled + label + label{ opacity: .5; cursor: not-allowed;}
.checkbox-control:disabled + label:hover, .radio-control:disabled + label:hover{ box-shadow: none; border: 1px solid #abb4cd;}
